%define         docfiles       copying README changelog

Name:           wmcpufreq
Version:        3.0
Release:        %mkrel 3
Summary:        Yet another dockapp for monitoring CPU frequency
License:        GPLv2
Group:          Monitoring

URL:            http://dockapps.windowmaker.org/file.php/id/309
Source0:        http://dockapps.windowmaker.org/download.php/id/862/%{name}-%{version}.tar.gz

BuildRequires:  glibc-devel
BuildRequires:  libcpufreq-devel
BuildRequires:  libgtk+2.0-devel
BuildRequires:  libxpm-devel
BuildRequires:  libx11-devel 
BuildRequires:  libxext-devel


%description
Wmcpufreq is a dockapp for WindowMaker, or any window manager and
desktop environment that handles dock applications. It displays the
frequency of each of your CPU cores in use between the maximum and
minimum allowed values. The driver used appears in green while the
active governor is in red.


%prep
%setup -q


%build
%make


%install
rm -rf %{buildroot}
chmod 644 %{docfiles}
cd %{name}
install -D -p -m 755 %{name} %{buildroot}%{_bindir}/%{name}


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root)
%doc %{docfiles}
%{_bindir}/wmcpufreq




%changelog

* Mon Jan 14 2013 umeabot <umeabot> 3.0-3.mga3
+ Revision: 385725
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 eatdirt <eatdirt> 3.0-2.mga3
+ Revision: 314566
- Rebuild for mga3

* Fri Sep 30 2011 eatdirt <eatdirt> 3.0-1.mga2
+ Revision: 150499
- imported package wmcpufreq

